[pacman-dev] [PATCH] Prevent makepkg creating armored signatures

Allan McRae allan at archlinux.org
Sun Feb 2 01:31:13 EST 2014


From: Lars Gustäbel <lars at gustaebel.de>

If the user has "armor" in thier gpg.conf, makepkg will create an
ascii-armored signature. Use --no-armor in the gpg call to avoid.

FS#38503.

Signed-off-by: Allan McRae <allan at archlinux.org>
---
 scripts/makepkg.sh.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index 7d8a676..e3d9a93 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -1968,7 +1968,7 @@ create_signature() {
 		SIGNWITHKEY="-u ${GPGKEY}"
 	fi
 	# The signature will be generated directly in ascii-friendly format
-	gpg --detach-sign --use-agent ${SIGNWITHKEY} "$filename" &>/dev/null || ret=$?
+	gpg --detach-sign --use-agent ${SIGNWITHKEY} --no-armor "$filename" &>/dev/null || ret=$?
 
 
 	if (( ! ret )); then
-- 
1.8.5.3



More information about the pacman-dev mailing list